Teams API

The Teams API is for administering Team records in Skills Base which includes adding, retrieving, updating and deleting records.

Endpoint

/1.0/teams

Objects used by this API

Name

Data type

Read only

Description

id

integer

Yes

The unique identifier for the record, used to reference the record in other API interactions.

parent_id

integer

No

Parent team id

name

string

No

Team name

Methods

GET /teams

Returns all Teams in the instance.

GET /teams/:id

Returns a Team matching the given id

POST /teams/search

Searches Team records. See Search APIs for a description of search functionality.

The available search parameters are:

Name

Arrays

Wildcards

id

Yes

No

parent_id

Yes

No

name

No

Yes

POST /teams

Creates a new Team record.

The following parameters can be POSTed

Name

Required

parent_id

No

name

Yes

PUT /teams/:id

Updates an existing Team record.

The following fields can be updated:

Name

parent_id

name

DELETE /teams/:id

Deletes a Team and all of its sub-teams.  Any people or invitations assigned to the team or any of its sub-teams will not be deleted however will no longer be assigned any team.